#define betaver beta3

Name:           bibletime
Version:        3.0.3
Release:        %mkrel 1
Summary:        Easy to use Bible study tool 
License:        GPLv2+
Url:            http://www.bibletime.info/
Group:          Education
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.xz
Patch300:       bibletime-2.11.0-mga-fix-desktop-file.patch
#------------------------------------------
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(sword) >= 1.7.0
BuildRequires:  lib64clucene2-devel
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  po4a
BuildRequires:  fop

Requires:       qtwebengine5
Requires:       sword
Requires:       lib64sword1.9
Requires:       lib64clucene2
Requires:       lib64icu71
#------------------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: %{name} < %version


%description
BibleTime is a free and easy to use bible study tool for UNIX systems.


%description -l de
BibleTime ist ein kostenloser und einfach zu Bibelstudium Tool für UNIX-Systeme verwenden.



%prep
%setup -q
%apply_patches

%build

%cmake_qt5 \
    -DBUILD_HANDBOOK_PDF=OFF \
    -DBUILD_HOWTO_PDF=OFF \

%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std} -C build

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
      --remove-category="X-Bible" \
      --remove-category="X-Religion" \
      --remove-key="MimeType" \
      --remove-category="Literature" \
      --add-category="X-MandrivaLinux-MoreApplications-Education-Literature" \
	%buildroot%_datadir/applications/*.desktop

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}

%changelog
* Tue Oct 11 2022 tex - 3.0.3-1pclos2022
- new version

* Fri Apr 02 2021 tex - 3.0-2pclos2021
- rebuild against updates

* Mon Aug 17 2020 tex - 3.0-1pclos2020
- new version

* Sat Oct 05 2019 tex - 2.11.2-3pclos2019
- rebuild against updates

* Mon Jul 08 2019 tex - 2.11.2-2pclos2019
- rebuild against updates

* Sat Oct 20 2018 tex - 2.11.2-1pclos2018
- new version

* Wed Feb 12 2014 bb <bb> 2.10.0-2pclos2014
- requires icu51 instead of old icu44
- change rpmgroup to Education
- adjust BR

* Wed Feb 12 2014 Ken <lxgator at gmail.com> 2.10.0-1pclos2014
- 2.10.0

* Sat Jul 07 2012 Neal <nealbrks0 at gmail dot com> 2.9.1-2pclos2012
- process

* Sat Jul 07 2012 Galen Seaman <galen.seaman@comcast.net> 2.9.1-2pclos2012
- remove version check for sword

* Thu Apr 12 2012 Neal <nealbrks0 at gmail dot com> 2.9.1-1pclos2012
- process

* Sat Mar 24 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 2.9.1-1_archie_2012
- 2.9.1

* Fri Dec 02 2011 Texstar <texstar at gmail.com> 2.8.4-1pclos2011
- 2.8.4

* Mon Feb 07 2011 Texstar <texstar at gmail.com> 2.7.3-2pclos2011
- rebuild

* Thu Sep 09 2010 Texstar <texstar at gmail.com> 2.7.3-1pclos2010
- 2.7.3

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 2.7-2pclos2010
- rebuild for 4.5.1

* Sat Jun 26 2010 Texstar <texstar at gmail.com> 2.7-1pclos2010
- 2.7

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 2.4-2pclos2010
- rebuild

* Wed Nov 25 2009 Texstar <texstar at gmail.com> 2.4-1pclos2010
- 2.4

* Tue Nov 17 2009 Texstar <texstar at gmail.com> 2.3.3-1pclos2010
- 2.3.3

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 2.2-2pclos2010
- rebuild

* Sat Sep 06 2009 Texstar <texstar at gmail.com> 2.2-1pclos2009
- 2.2

* Mon Jul 06 2009 Texstar <texstar at gmail.com> 2.0.1-1pclos2009
- 2.0.1

* Fri Jul 03 2009 Texstar <texstar at gmail.com> 2.0-1pclos2009
- kde4 version
